### Method

# Ide SearchEngine add_provider

#### Declaration

    void
    ide_search_engine_add_provider (
      IdeSearchEngine* self,
      IdeSearchProvider* provider
    )

#### Description

Adds a custom search provider to the `IdeSearchEngine`. This enables to bring in custom `IdeSearchProvider` during the runtime.

Available since: | 3.38

#### Parameters

`provider` | `IdeSearchProvider`
| A `IdeSearchProvider`.
| The data is owned by the caller of the function.